<div class="actions">
  <div class="forms">
    <div class="form-adding">
      <form class="form" [formGroup]="form" (ngSubmit)="onAddTodo(input.value)">
        <mat-form-field class="input-todo">
          <mat-label>What do you need to do?</mat-label>
          <input formControlName="title" #input matInput>
        </mat-form-field>
        <button mat-button type="submit" [disabled]="!form.valid">Add</button>
      </form>
    </div>
    <div class="form-search">
      <mat-form-field class="searchField">
        <mat-label>Search in list</mat-label>
        <input name="searchInput" matInput="search" [(ngModel)]="inputSearch" (ngModelChange)="onSetFilter('search')"
               maxlength="50">
      </mat-form-field>
    </div>
  </div>
  <div class="filter">
    <button mat-button [ngClass]="{'active_button': filter === 'all'}" (click)="onSetFilter('all')">All</button>
    <button mat-button [ngClass]="{'active_button': filter === 'active'}" (click)="onSetFilter('active')">Active</button>
    <button mat-button [ngClass]="{'active_button': filter === 'completed'}" (click)="onSetFilter('completed')">Completed</button>
    <button mat-button [ngClass]="{'active_button': filter === 'important'}" (click)="onSetFilter('important')">Important</button>
  </div>
  <hr>
</div>
